<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dsk.cscec.mapper.AdvisoryBodyProjectMapper">

    <select id="selectProjectKeysByAdvisoryBodyCids" resultType="java.lang.Long">
        select abp.project_key
        from advisory_body_project abp
        <where>
            <if test="advisoryBodyCids != null">
                abp.advisory_body_cid in
                <foreach collection="advisoryBodyCids" item="advisoryBodyCids" open="(" close=")" separator=",">
                    #{advisoryBodyCids}
                </foreach>
            </if>
        </where>
    </select>
</mapper>